Get Webhook Configuration Event Logs
get
https://api.flxpoint.com/webhook/configurations/{id}/event-logsUse this when you want to pull webhook data through the API.
🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel
This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.
This endpoint will fetch back the event log against a webhook configuration
Request
Query parameters
pagequeryintegerpage number
default 1pageSizequeryintegernumber of elements per page
default 50max 100webhookDeliveryStatusqueryany
Example request
get
/webhook/configurations/{id}/event-logscurl -X GET "https://api.flxpoint.com/webhook/configurations/{id}/event-logs" \
-H "Accept: application/json" \
-H "X-API-TOKEN: YOUR_TOKEN"Responses
200OKapplication/json
array[WebhookLog]
idintegerWebhook Log ID used for event identification
statusWebhookDeliveryStatusUsed to track webhook delivery status
allowed
processingpublishedinternal_failureexternal_failureeventTypeWebhookEventsList of events supported to share over webhook
allowed
FulfillmentRequestProcessingEventOrderImportedEventFulfillmentRequestAcknowledgedEventFulfillmentRequestPartiallyShippedEventFulfillmentRequestShippedEventFulfillmentRequestCanceledEventSourceInvoiceCreatedEventeventKeystringUnique identifier for the associated event type
createdAtstring (date-time)Date time when the event was created within flxpoint system
lastTriedAtstring (date-time)Date time when the event was last tried for delivery
nextTryAtstring (date-time)Date time when the event will be tried again for delivery
publishedAtstring (date-time)Date time when the event was successfully delivered
retryCountintegerNumber of automatic delivery attempts made for the event.
manualRetryCountintegerNumber of manual retries requested for the event, for example with POST /webhook/event/retry.
statusCodestringStatus code recorded for the most recent delivery attempt.
statusMessagestringStatus message recorded for the most recent delivery attempt.
Example response
[
{
"id": 0,
"status": "processing",
"eventType": "FulfillmentRequestProcessingEvent",
"eventKey": "string",
"createdAt": "2026-04-20T00:00:00Z",
"lastTriedAt": "2026-04-20T00:00:00Z",
"nextTryAt": "2026-04-20T00:00:00Z",
"publishedAt": "2026-04-20T00:00:00Z",
"retryCount": 0,
"manualRetryCount": 0,
"statusCode": "string",
"statusMessage": "string"
}
]401Unauthorized
No schema documented for this status.
404Not Found
No schema documented for this status.
OpenAPI fragment
{
"get": {
"summary": "Get Webhook Configuration Event Logs",
"description": "This endpoint will fetch back the event log against a webhook configuration",
"parameters": [
{
"name": "page",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"default": 1
},
"description": "page number"
},
{
"name": "pageSize",
"in": "query",
"required": false,
"schema": {
"type": "integer",
"default": 50,
"maximum": 100
},
"description": "number of elements per page"
},
{
"schema": {
"$ref": "#/components/schemas/WebhookDeliveryStatus"
},
"name": "webhookDeliveryStatus",
"in": "query",
"required": false
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "array",
"items": {
"$ref": "#/components/schemas/WebhookLog"
}
}
}
}
},
"401": {
"description": "Unauthorized"
},
"404": {
"description": "Not Found"
}
}
}
}Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight
Was this page helpful?
Can't find what you need?